View Issue Details

IDProjectCategoryView StatusLast Update
0031956Open CASCADEOCCT:Visualizationpublic2021-09-19 10:01
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status resolvedResolutionopen 
Product Version7.4.0 
Target Version7.7.0 
Summary0031956: Visualization - provide Image_AlienPixMap::Save() writing into a memory buffer instead of a file
DescriptionImage_AlienPixMap::Load() provides overloads reading image from file path, memory buffer and std::istream. In contrast, Image_AlienPixMap::Save() is currently able to write only into the given file path, which restricts class usability.
Steps To Reproducenot required
TagsNo tags attached.
Test case number

Relationships

related to 0030549 resolvedabv Coding - split Image_AlienPixMap into several classes 
child of 0030182 closedapn Visualization, Image_AlienPixMap - support reading encoded image from memory buffer 

Activities

git

2021-09-14 14:12

administrator   ~0104074

Branch CR31956 has been created by CheskoArt.

SHA-1: fbf48c08439946f24061d1b7d2f6b0bb78ed656a


Detailed log of new commits:

Author: achesnok
Date: Mon Sep 6 14:36:40 2021 +0300

    0031956: Visualization - provide Image_AlienPixMap::Save() writing into a memory buffer instead of a file
    
    Added two new Image_AlienPixMap::Save() overloads, taking std::ostream or memory buffer arguments.

git

2021-09-15 21:34

administrator   ~0104104

Branch CR31956 has been updated forcibly by CheskoArt.

SHA-1: 58887fde1aeca0408c1dc7f872b53386626370a0

git

2021-09-15 22:04

administrator   ~0104105

Branch CR31956 has been updated forcibly by CheskoArt.

SHA-1: c5594d863afbdf330ae4dae912be6ca5133d74b2

CheskoArt

2021-09-16 19:07

developer   ~0104131

Please review the patch.
Test results: http://jenkins-test-occt.nnov.opencascade.com/view/CR31956-master-achesnok/view/ALL/

kgv

2021-09-16 19:23

developer   ~0104132

+#ifdef HAVE_FREEIMAGE
+  Standard_EXPORT FIBITMAP* GetImageToDump (int theFormat);
   FIBITMAP* myLibImage;

This breaks binary compatibility and should be reverted.
HAVE_FREEIMAGE should not occur in .hxx header.

git

2021-09-16 21:05

administrator   ~0104134

Branch CR31956 has been updated forcibly by CheskoArt.

SHA-1: 5303e6b270b86fbcd8a769b5fab4fa2e653c0604

git

2021-09-18 14:36

administrator   ~0104215

Branch CR31956 has been updated forcibly by CheskoArt.

SHA-1: db9b3fca3d8c457239a50b13e33c5ae5bf9dc868

CheskoArt

2021-09-18 17:37

developer   ~0104217

Patch fixed

Issue History

Date Modified Username Field Change
2020-11-24 10:04 kgv New Issue
2020-11-24 10:04 kgv Assigned To => kgv
2020-11-24 10:06 kgv Relationship added related to 0030182
2020-11-24 10:06 kgv Relationship replaced child of 0030182
2020-11-24 10:06 kgv Product Version => 7.4.0
2020-11-24 10:06 kgv Relationship added related to 0030549
2021-08-11 11:31 age Assigned To kgv => CheskoArt
2021-08-11 11:53 CheskoArt Status new => assigned
2021-09-14 14:12 git Note Added: 0104074
2021-09-15 21:34 git Note Added: 0104104
2021-09-15 22:04 git Note Added: 0104105
2021-09-16 19:07 CheskoArt Note Added: 0104131
2021-09-16 19:07 CheskoArt Assigned To CheskoArt => kgv
2021-09-16 19:07 CheskoArt Status assigned => resolved
2021-09-16 19:07 CheskoArt Steps to Reproduce Updated
2021-09-16 19:23 kgv Note Added: 0104132
2021-09-16 21:05 git Note Added: 0104134
2021-09-18 08:04 CheskoArt Assigned To kgv => CheskoArt
2021-09-18 08:04 CheskoArt Status resolved => assigned
2021-09-18 14:36 git Note Added: 0104215
2021-09-18 17:37 CheskoArt Note Added: 0104217
2021-09-18 17:37 CheskoArt Assigned To CheskoArt => kgv
2021-09-18 17:37 CheskoArt Status assigned => resolved
2021-09-18 17:37 CheskoArt Steps to Reproduce Updated
2021-09-19 10:01 kgv Target Version 7.6.0 => 7.7.0